Bug 127279 - Register-true with better labelling
Summary: Register-true with better labelling
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL: https://ask.libreoffice.org/en/questi...
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: DTP 137221
  Show dependency treegraph
 
Reported: 2019-09-02 12:02 UTC by pedro.silva
Modified: 2020-10-28 14:08 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Page from the book Thinking with Type by Ellen Lupton, InDesign screenshot (100.22 KB, image/gif)
2019-09-03 13:10 UTC, pedro.silva
Details
Term used in Scribus (87.03 KB, image/png)
2019-09-03 13:12 UTC, pedro.silva
Details
Text of ODF 1.2 standard for 20.328 and 20.329 (27.31 KB, image/png)
2019-09-05 13:59 UTC, V Stuart Foote
Details
How page dialog looks know (LO 6.3) (188.58 KB, image/png)
2019-09-25 09:27 UTC, pedro.silva
Details
Proposal: using the well know line spacing term (210.49 KB, image/png)
2019-09-25 09:32 UTC, pedro.silva
Details
Proposal: Paragraph style dialog, follow page line spacing (146.22 KB, image/png)
2019-09-25 10:07 UTC, pedro.silva
Details
more components underneath (45.63 KB, image/png)
2020-06-16 13:01 UTC, pedro.silva
Details
PageStyle-PageLineSpacing-tooltip (80.57 KB, image/png)
2020-06-16 13:04 UTC, pedro.silva
Details
Mockup of proposed change to Paragraph dialog (45.27 KB, application/vnd.oasis.opendocument.text)
2020-10-15 08:13 UTC, sdc.blanco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pedro.silva 2019-09-02 12:02:56 UTC
Is it conceivable to change the name of Register-true to “Align to Baseline Grid” or “Baseline Grid” and the subsequent “Reference Style:” to “Reference Text Style:” or “From Text Style:” in order to improve overall understanding for the user.

This, I believe, would be more clear and even coherent with the DTP lingo that has been tough in College but also to be consistent with the same term that user might already know from Scribus, Adobe InDesign, etc. At the same time it would be also easier to understand for a non-power user since it conveys the concepts of text and grid.

Of course the term in "Paragraph style dialogue: Indents & Spacing" would also change. In this case I would purpose the replacement of “Register-true” group and include the “Activate” inside of “Line-Spacing” group but with different name: “Align to Baseline Grid” or "Align to Page Baseline Grid".
Comment 1 Heiko Tietze 2019-09-03 06:53:44 UTC
Do you have references for the term used on other tools, ie. "Scribus, Adobe InDesign, etc."?
Comment 2 pedro.silva 2019-09-03 12:46:44 UTC
(In reply to Heiko Tietze from comment #1)
> Do you have references for the term used on other tools, ie. "Scribus, Adobe
> InDesign, etc."?

Yes, I can attach here if you wish. I can also try (at the best of my abilities) to list here common typography/graphic design manuals/books where the term used is always Baseline Text.
Comment 3 pedro.silva 2019-09-03 13:10:39 UTC
Created attachment 153839 [details]
Page from the book Thinking with Type by Ellen Lupton, InDesign screenshot
Comment 4 pedro.silva 2019-09-03 13:12:42 UTC
Created attachment 153840 [details]
Term used in Scribus
Comment 5 pedro.silva 2019-09-03 13:28:38 UTC
- Meggs' History of Graphic Design (mine is the 5th edition) also mentions baseline multiple times
- The Elements of Typographic Style by Robert Bringhurst (mine is the 4th edition) has also some mention of baseline (also leading and vertical motion)
Comment 6 QA Administrators 2019-09-03 16:13:26 UTC Comment hidden (obsolete)
Comment 7 V Stuart Foote 2019-09-03 16:52:47 UTC
Obviously we do not implement a vertical grid typesetting framework on which objects can be aligned.

Rather, we describe a "Reference" paragraph style--font and leading--that establishes a text line height. And effectively sets text "baselines" as vertically filled from top down and applied within margins of a page style. 

Multiple paragraphs on multiple pages will be aligned to that baseline when those paragraphs (selectively) are 'Register true' enabled. 

And beleive different page styles (each with a "Reference style" and corresponding line height/baselines) can be defined (pre-defined in template) for use in complex documents.

This is a different approach to that of InDesign or even Scribus.
Comment 8 pedro.silva 2019-09-04 07:33:37 UTC
(In reply to V Stuart Foote from comment #7)
> Obviously we do not implement a vertical grid typesetting framework on which
> objects can be aligned.

Understood.

> Rather, we describe a "Reference" paragraph style--font and leading--that
> establishes a text line height. And effectively sets text "baselines" as
> vertically filled from top down and applied within margins of a page style. 
> 
> Multiple paragraphs on multiple pages will be aligned to that baseline when
> those paragraphs (selectively) are 'Register true' enabled. 
> 
> And beleive different page styles (each with a "Reference style" and
> corresponding line height/baselines) can be defined (pre-defined in
> template) for use in complex documents.
> 
> This is a different approach to that of InDesign or even Scribus.

Agreed, it is most def. a different approach and I see no problem with that.

In this bug what I tried to propose was a better labelling. As you see when describing the functionality you use the word Baseline (let us forget for a minute about the "Grid"). Also I never encounter any educational material on graphic design, typography or simply about print with that term but all of these do have baselines as a though term. Moreover and as you see in https://help.libreoffice.org/Writer/Printing_Register-true the current term is not really about an element or characteristic of the text/page but rather an ideal to be achieved "This term refers to the congruent imprint of the lines within a type area[...]" so it's kinda odd that is being used as a label for an on/off toggle. 

Nevertheless I hear you and so here are some options that could be a better fit than the current “Register-true”/“Reference Style:” in Page Style > Page (tab):

- Align to fixed Baseline / Reference Style:
- Fixed Baseline / Reference Style:
- Referenced line spacing / Paragraph style:

I think the 3rd would be a good because not only it's more clear it uses the same terminology from the Paragraph dialogue (Paragraph Styles > Indents & Spacing). To pair with this, in the Paragraph dialogue the group titled "Register-true" with the checkbox "Activate" would become:

- Referenced line spacing / Activate
Comment 9 V Stuart Foote 2019-09-04 15:10:28 UTC
Actually, (In reply to pedro.silva from comment #8)
> - Align to fixed Baseline / Reference Style:
> - Fixed Baseline / Reference Style:
> - Referenced line spacing / Paragraph style:
> 
> I think the 3rd would be a good because not only it's more clear it uses the
> same terminology from the Paragraph dialogue (Paragraph Styles > Indents &
> Spacing). To pair with this, in the Paragraph dialogue the group titled
> "Register-true" with the checkbox "Activate" would become:
> 
> - Referenced line spacing / Activate

Actually rather than "reference" (a paragraph style applied against the page) the concept would be "registration"--now common in alignment of offset press CMYK and half-tone image print work. But here it predates that considerably coming from the folding of large folio paper sizes to impose the signatures with correct sequence and alignment (front to back and across pages) -- when accomplished the printing and binding is "register-true" and "folded with the print".

But we have little support for imposing and printing 'folio, quarto, octavo, duodecimo, sextodecimo' layouts. Just look at the Print dialog's pages per sheet and order where we can not impose a multi-page print layout that would correctly _fold_. That and a lack of means to provide bleeds, trim, and registration marks means we can't directly perform DTP--and "register-true" while correct is not really appropriate.

What we are able to do well is provide correct page to page registration of textual content. As our pages are composed dynamically when paragraphs are rendered the printing on pages will not register--page to page, column to column. But when we enable "register-true" on page styles, and allow individual paragraphs to pick up the alignment from the selected reference paragraph's line height (its font height, internal leading, external leading) as a baseline the documents textual content will register as if "imposed" correctly and then "folded with the print", trimmed, and bound.

So, while "register-true" is a correct label--agree its etymology is obscure and is really not helpful UX--but the action is still registration.

Rather than Reference, I would suggest:

Register line spacing / Reference style
Comment 10 pedro.silva 2019-09-04 16:45:30 UTC
(In reply to V Stuart Foote from comment #9)
[...]
> Actually rather than "reference" (a paragraph style applied against the
> page) the concept would be "registration"--now common in alignment of offset
> press CMYK and half-tone image print work. But here it predates that
> considerably coming from the folding of large folio paper sizes to impose
> the signatures with correct sequence and alignment (front to back and across
> pages) -- when accomplished the printing and binding is "register-true" and
> "folded with the print".
> 
> But we have little support for imposing and printing 'folio, quarto, octavo,
> duodecimo, sextodecimo' layouts. Just look at the Print dialog's pages per
> sheet and order where we can not impose a multi-page print layout that would
> correctly _fold_. That and a lack of means to provide bleeds, trim, and
> registration marks means we can't directly perform DTP--and "register-true"
> while correct is not really appropriate.

Thanks Stuart for all the context, to me, this is gold! I really appreciate the context and to know the reasoning behind.

> What we are able to do well is provide correct page to page registration of
> textual content. As our pages are composed dynamically when paragraphs are
> rendered the printing on pages will not register--page to page, column to
> column. But when we enable "register-true" on page styles, and allow
> individual paragraphs to pick up the alignment from the selected reference
> paragraph's line height (its font height, internal leading, external
> leading) as a baseline the documents textual content will register as if
> "imposed" correctly and then "folded with the print", trimmed, and bound.
> 
> So, while "register-true" is a correct label--agree its etymology is obscure
> and is really not helpful UX--but the action is still registration.

I agree with you, maybe having such a term based of print world without any relation with existent LO terminology might not be the clearest.

> Rather than Reference, I would suggest:
> 
> Register line spacing / Reference style

In my opinion this is already better when compared with the current labelling. However I'm having a hard time with "Register" or "Registration" because somehow the following doesn't let me stop worrying about UX:

- Register is better than the Register-true (because the latter is kinda of a state/adjective) but this term is based on printing but Document/page and its overall line spacing (leading, Baseline grid, vertical motion etc...) are not exclusive of print specially in this day and age.
- Users that know nothing about printing and don't own a printer they might be quite confused with it.
- Register often times called registration is also quite an uneasy term (to me, in this case) since there are other elements sharing the same name (e.g.: registration marks)
- Also a document can be on purpose misregistered (out of) for artistic purposes etc..

And in Reference style I think it would be still quite valuable to have in there the word "Paragraph" as it helps to connect the dots and invites the user to explore the Paragraph style dialogue etc.

Hm... I honestly think this is a great discussion and as I stated these (what you suggested) would be already better then what we have now but I would still use 

Page dialogue
- Referenced line spacing / Paragraph style:

"Reference" here would play quite well also in the paragraph dialogue

Paragraph dialogue
- Referenced line spacing / Activate

hm...but then again I understand your reasoning and maybe it would be good to leave some sort of trace for the user that already use and know the feature and all its context. And if so, then your proposal could be also a good option.

(goes away and expects no sleeping tonight on the accounts of thinking about this :p )
Comment 11 Heiko Tietze 2019-09-05 12:40:41 UTC
I doubt that "Referenced line spacing" is more informative than "Register-true". It would be more helpful to take Stuart's background expertise into the documentation. What do you think, Olivier?
Comment 12 pedro.silva 2019-09-05 13:00:21 UTC
As Register line spacing / Reference style(In reply to Heiko Tietze from comment #11)
> I doubt that "Referenced line spacing" is more informative than
> "Register-true". It would be more helpful to take Stuart's background
> expertise into the documentation. What do you think, Olivier?

As visible in the discussion I think it's reasonable to say that Register-true is far from ideal and I'm ok with any of the stated proposals. I'm mostly concerned with the UX aspect of it and if, as a plus, the feature gets more discoverable/used just because of labelling then I think it's awesome.

Stuart suggested: Register line spacing / Reference style

Which I have no problem with (just a few worries which I have already elaborate on that) but overall sounds good. I think.
Comment 13 V Stuart Foote 2019-09-05 13:59:39 UTC
Created attachment 153922 [details]
Text of ODF 1.2 standard for 20.328 and 20.329

http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#__RefHeading__1420116_253892949

So, while we can adjust the UI for better UX, we likely will always drag along the old printing/binding etymology.
Comment 14 Olivier Hallot 2019-09-05 16:52:32 UTC
(In reply to Heiko Tietze from comment #11)
> I doubt that "Referenced line spacing" is more informative than
> "Register-true". It would be more helpful to take Stuart's background
> expertise into the documentation. What do you think, Olivier?

To be honest, Register true is very obscure for the average user. Wording in 

https://help.libreoffice.org/6.4/en-US/text/shared/00/00000005.html?DbPAR=SHARED#bm_id3147315

does not help at all (e.g. "congruent imprint"). To improve the Help page on it, please help me on my own questions:

- When should I mark the RT check box? What do I get? (use case)
- what if I don't use RT? How bad it is?
- A sample image (l10n neutral) showing the differences of using RT and not...
Comment 15 pedro.silva 2019-09-25 09:26:26 UTC
(In reply to Olivier Hallot from comment #14)
> (In reply to Heiko Tietze from comment #11)
> > I doubt that "Referenced line spacing" is more informative than
> > "Register-true". It would be more helpful to take Stuart's background
> > expertise into the documentation. What do you think, Olivier?
> 
> To be honest, Register true is very obscure for the average user. Wording in 
> 
> https://help.libreoffice.org/6.4/en-US/text/shared/00/00000005.
> html?DbPAR=SHARED#bm_id3147315
> 
> does not help at all (e.g. "congruent imprint"). To improve the Help page on
> it, please help me on my own questions:
> 
> - When should I mark the RT check box? What do I get? (use case)
> - what if I don't use RT? How bad it is?
> - A sample image (l10n neutral) showing the differences of using RT and
> not...

Agreed, I think the best explanation is available in the page 195 of the LibreOffice writer 6.0 Guide but then again when defining the term used to explain is **base line** and **base line grid** which was my initial proposal as well.
Comment 16 pedro.silva 2019-09-25 09:27:22 UTC
Created attachment 154471 [details]
How page dialog looks know (LO 6.3)
Comment 17 pedro.silva 2019-09-25 09:32:59 UTC
Created attachment 154472 [details]
Proposal: using the well know line spacing term

Since the base line term didn't get that much support (even though is used through out typography books and, just discovered, the writer guide itself) here and since the term "Line spacing" is already well-known by the users I tried to simplified this labelling by avoiding the use of any "base line" or "grid" and instead using line spacing and by having it clear what are the elements we are talking about (page vs paragraph) and how they affect our document.
Comment 18 Heiko Tietze 2019-09-25 10:04:57 UTC
Let's follow Pedro's suggestion.
Comment 19 pedro.silva 2019-09-25 10:07:32 UTC
Created attachment 154476 [details]
Proposal: Paragraph style dialog, follow page line spacing

reuse of the term "line spacing" and labelling the option starting with an action verb "Follow" and the element where the option comes from (page)
Comment 20 V Stuart Foote 2019-09-25 13:09:06 UTC
No objection, just continue to observe use of register-true internal to ODF. And, the New help articles could use some work as in comment 14
Comment 21 Olivier Hallot 2020-06-14 16:33:39 UTC
I've not see the suggested string change in my master build. Is there a patch?
Comment 22 pedro.silva 2020-06-16 13:01:11 UTC
Created attachment 162052 [details]
more components underneath
Comment 23 pedro.silva 2020-06-16 13:04:20 UTC
Created attachment 162053 [details]
PageStyle-PageLineSpacing-tooltip
Comment 24 pedro.silva 2020-06-16 13:06:13 UTC
(In reply to Olivier Hallot from comment #21)
> I've not see the suggested string change in my master build. Is there a
> patch?
So I modified the ui files to incorporate what is was agreed. After checking that everything is good via jenkins etc I will then cherry-pick to master branch and I will post here/add a bunch of you as reviewers so you can test on your side as well : )

Just a note, I noticed while working on the pageformatpage.ui that maybe it would be irresponsible on my part to just add , as we have agreed, that explanatory-text bit that would go under Paragraph style: dropdown (as seen in https://bug-attachments.documentfoundation.org/attachment.cgi?id=154472 ) because I found out that there are more components that sometimes are used under that :PageFormatPageUI.png . So, I add it instead as an informative tooltip, and in this way we probably avoid any problems with extra elements of even the dialog size (too big) :PageStyle-PageLineSpacing-tooltip.png
Comment 25 Commit Notification 2020-06-19 13:02:37 UTC
Pedro Pinto Silva committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7cd5cddce02a6e005c0fcd45b9b720c2ca877cfc

tdf#127279 Register-true with better labelling

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 sdc.blanco 2020-10-03 13:30:52 UTC
(In reply to Commit Notification from comment #25)
> Affected users are encouraged to test the fix and report feedback.
I was updating the help page for Format - Page - Page, and encountered this change.  No opinion about the change, but, as a result, three questions and two proposals.

Q1. As I understand, only the label has changed from "Register-True" to "Page line spacing".  No functionality change.  Is that correct?

Q2. Is there a special reason for using "Page line spacing" in Format - Page - Page, but "Follow Page line spacing" for the paragraph dialogs?

P1.  Note that Register-true is currently defined in the Glossary: 
https://help.libreoffice.org/7.1/en-US/text/shared/00/00000005.html?DbPAR=SHARED#bm_id3147315

It would make for better consistency in the help pages (and maybe for user understanding) if the same label was agreed upon and followed consistently in the UI. I would propose that "Follow" be dropped in paraindentspacing.ui

Then the Glossary could be:  Page line spacing

or should it be:  Page linespacing  ?

(I am only seeking a consistent simple style.  I leave the debate/decision to others.)

P2. Is there any need for an "Activate" box in the paragraph dialog?  Why not use the same simple form as the Page dialog?

Q3.  I assume setting this for Page will supersede the setting for Paragraph and vice versa (i.e., if Page is set, then it is applied, regardless of Paragraph setting, and if set in Paragraph or Paragraph style, then applied regardless of how Page is set). Maybe worth mentioning that Page setting supersedes in a note on the help page.

Thanks for clarifications. Once these questions are settled, I will make the necessary changes in the help pages.
Comment 27 sdc.blanco 2020-10-04 09:53:27 UTC
Find-Replace (Ctrl-H) - Attributes 

Need to change "Register-true" to "Page line spacing"  (or whatever is decided).
Comment 28 sdc.blanco 2020-10-15 08:13:31 UTC
Created attachment 166377 [details]
Mockup of proposed change to Paragraph dialog

(In reply to sdc.blanco from comment #26)

Proposing answers to my own questions:

> Q1. As I understand, only the label has changed from "Register-True" to
> "Page line spacing".  No functionality change.  Is that correct?
Yes.

> Q2. Is there a special reason for using "Page line spacing" in 
> Format - Page - Page, but "Follow Page line spacing" for the paragraph 
> dialogs?
No. 

> P1.  Note that Register-true is currently defined in the Glossary: 
> https://help.libreoffice.org/7.1/en-US/text/shared/00/00000005.
> html?DbPAR=SHARED#bm_id3147315
> 
> It would make for better consistency in the help pages (and maybe for user
> understanding) if the same label was agreed upon and followed consistently
> in the UI. I would propose that "Follow" be dropped in paraindentspacing.ui
Good idea.
 
> Then the Glossary could be:  Page line spacing
> or should it be:  Page linespacing  ?
It should be "Page line-spacing"  

Reasons:  
1.  "line-spacing" appears in Oxford English Dictionary, 
    "line spacing" does not.
2.  hyphen marks clearly that the relation is "Page line-spacing" 
                                      and not "Page-line spacing"

> P2. Is there any need for an "Activate" box in the paragraph dialog? 
No.

> Why not use the same simple form as the Page dialog?
Good idea.  See attachment for mockup with "current" and "proposed".

> Q3. I assume setting this for Page will supersede the setting for Paragraph
> and vice versa (i.e., if Page is set, then it is applied, regardless of
> Paragraph setting, and if set in Paragraph or Paragraph style, then applied
> regardless of how Page is set). Maybe worth mentioning that Page setting
> supersedes in a note on the help page.
Don't know about this relation, but if the assumption is true, then a note seems appropriate.

If this analysis is correct, then I am ready to make the changes.

include/svx/svxitems.hrc   - for Search
sw/inc/strings.hrc   - for Paragraphs
uiconfig/ui/pageformatpage.ui
uiconfig/ui/paraindentspacing.ui
Comment 29 Heiko Tietze 2020-10-20 11:43:47 UTC
(In reply to sdc.blanco from comment #26)
> Q1. As I understand, only the label has changed from "Register-True" to
> "Page line spacing".  No functionality change.  Is that correct?

Yes, plus a (lengthy) tooltip that might be better suited for the extended tip.
 
> Q2. Is there a special reason for using "Page line spacing" in Format - Page
> - Page, but "Follow Page line spacing" for the paragraph dialogs?

Don't think so.

> I would propose that "Follow" be dropped in paraindentspacing.ui

Using a verb at the beginning makes it more clear in general. How about "Follow page line spacing" everywhere?

> or should it be:  Page linespacing  ?

Or "line-spacing" ;-). No opinion on this.
 
> P2. Is there any need for an "Activate" box in the paragraph dialog?  Why
> not use the same simple form as the Page dialog?

Guess it's technically not related to the line spacing and was placed there for in an extra frame. I agree with a simple checkbox.

> Q3.  I assume setting this for Page will supersede the setting for Paragraph

Not sure.


Sorry for the delayed reply.
Comment 30 sdc.blanco 2020-10-20 19:31:35 UTC
(In reply to Heiko Tietze from comment #29)
Summarizing:

1. Will use:  Page line-spacing.
2. Will make this consistent in UI for:
    a. Page format  (pageformatpage.ui)
    b. Paragraph and Paragraph Style (paraindentspacing.ui)
3. Will replace "Activate" label and drop Heading in Paragraph dialog
4. Will change Attribute name in Find-and-Replace.
5. Will add a longish tooltip for Paragraph. (there is already one for Page Format)

Remaining issues:

6. About verbs and checkbox labels.  I propose:

"Use page line-spacing" 

instead of "follow"

7. Question about interaction between setting (or not) on Page and Paragraph.
(relevant for tooltip and help pages, interpreting bug reports).  
Is there anyone who is likely to know the answer to this question? (or could give a qualified guess?)

If there is a agreement about points 1-6, then I will start to make the relevant patches.
Comment 31 sdc.blanco 2020-10-20 19:47:59 UTC
(In reply to Heiko Tietze from comment #29)
> Yes, plus a (lengthy) tooltip that might be better suited for the extended
> tip.
Whoops, I misinterpreted. 

No opinion (i.e., happy to do it either way).

Version 1.  Leave/use long tooltips  (i.e., current form).

Version 2.  Use new, short tooltip and move current "lengthy" Page format tooltip to extended tooltip.  (and same for Paragraph).

If Version 2 is used, then seeking advice/proposals for a useful short tooltip.
My imagination fails to generate anything meaningful/useful (beyond the proposed label "Use page-line spacing").
Comment 32 Regina Henschel 2020-10-20 21:00:16 UTC
There is a difference between page style and paragraph style. I thing the label "Follow Page Line Spacing" and checkbox "Activate" describes the purpose better.

When you enable "Page line-spacing" (register true) in the page style, you have to set a paragraph style as reference, which is used to determine the typographical grid.
Example: Set "Textbody" as reference style, and set all space before/after to zero and set line spacing to fix 5mm in style "Textbody". That will result in a 5mm vertical typographical grid.

"Activate" in paragraph style means, that the paragraph will be vertically aligned so that the bottom of a line is aligned with the typographical grid line, which is determined by the reference style. The own line spacing defined in the paragraph is only taken as minimum.

Example: You have a heading in style "Heading 1", here too with all space before/after set to zero, and this "Heading 1" style has a font, which requires 8mm in height. Then with "Activate" on, the bottom of the heading line will be put to align with the typographical grid line. So the heading gets 2mm space above to the previous textbody paragraph. With "Activate" off, the heading paragraph is placed immediately below the previous textbody paragraph.
The textbody paragraph after the heading will be at the same place in both cases.
Comment 33 sdc.blanco 2020-10-20 22:40:14 UTC
(In reply to Regina Henschel from comment #32)
> There is a difference between page style and paragraph style. I thing the
> label "Follow Page Line Spacing" and checkbox "Activate" describes the
> purpose better.
Thanks (as usual) for helpful explanations.  

So -- is it correctly understood that "activating" the Paragraph dialog has no effect, unless the checkbox is set on the Page dialog? 

Meanwhile....

New proposal for Paragraph dialog box:

Change "Activate" label (currently present) to "Activate page line-spacing"  
(and drop the label "Follow Page Line Spacing)

(would that work?)

New question (for UX people) about Page Style dialog:

The relation between checkbox "Page line-spacing" and combobox Reference style is not obvious in current design.  

Is there a "better" way to communicate the relationships here?  

For example:

Page line-spacing (as separate bold heading in line with Layout Settings)
  x Activate
  Set Reference to: (combobox)

(or "Set Reference Style to:")

(where, as before, combobox is disabled until checkbox is set)

Would also give some "visual/verbal" similarity with new proposal for Paragraph dialog.
Comment 34 Heiko Tietze 2020-10-21 13:21:52 UTC
(In reply to sdc.blanco from comment #33)
> The relation between checkbox "Page line-spacing" and combobox Reference
> style is not obvious in current design.  

The combobox state depends on the checkbox- that's quite obvious to me. And it has an indentation, which might be increased a bit. We have defined 18pt in https://wiki.documentfoundation.org/Design/Guidelines/PropertyDialog
Comment 35 sdc.blanco 2020-10-21 15:34:55 UTC
(In reply to Heiko Tietze from comment #34)
> The combobox state depends on the checkbox- that's quite obvious to me. 
Me too.  But it seemed like the relationships could be improved.

> it has an indentation, which might be increased a bit. We have defined 18pt
> in https://wiki.documentfoundation.org/Design/Guidelines/PropertyDialog
So this means, no change in placement of controls on Page Style dialog, except for indentation?  but it is ambiguous about which (if any) should be indented more.

And what about the "Activate" question?  (i.e., dropping the label in the Paragraph dialog box? and using "Activate page line-spacing")

And the tooltip question, comment 31?
Comment 36 Heiko Tietze 2020-10-22 08:39:50 UTC
(In reply to sdc.blanco from comment #35)
> but it is ambiguous about which (if any) should be indented more.
The checkbox "[ ] Register-true" is clearly placed under Layout settings with a subordinate reference style. Don't see anything ambiguous there.

> And what about the "Activate" question?... And the tooltip question, comment 31?
All fine, relabel as suggested, I like "Activate page line-spacing". I suggest to go with a shorter tooltip and a longer extended tip.
Comment 37 Commit Notification 2020-10-27 13:30:21 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/052dcb7665115f0aeb9dc43308bd7fb882716b19

Partially resolves: tdf#127279 Change "register-true" to "Page line-spacing"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2020-10-27 13:32:33 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2c0419b021bdb9e67dce2e0e1c29510751392aea

Other part to resolve: tdf#127279  Change Search attribute

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 sdc.blanco 2020-10-27 13:38:15 UTC
Will close as FIXED.  Will wait to hear if further spacing adjustment is needed in dialog boxes.
Comment 40 sdc.blanco 2020-10-28 14:08:33 UTC
Forgot to mention-- made tooltips as well as extended tooltips for both Paragraph and Page Style dialogs.

And, as a bonus, changed a contraction "Don't" -> "Do not" and added a tooltip for "Automatic" on Paragraph dialog.